Update funktioniert nicht mehr

  • Hallo Welt,


    seit kurzem meldet das MediaPortal beim Starten, dass ein neues Update verfügbar sei und fragt, ob man es installieren möchte. Nach Auswahl von "ja" kommt aber sofort die folgende Fehlermeldung:

    MediaPortal Update fehlgeschlagen! Überprüfe das Updatelog sorgfältig!


    System: Dreambox 900, Newnigma2 mit aktuellen Updates, MediaPortal-Version 2018-12-19.

    (1) Ist das ein bekanntes Problem? Falls ja, was tun?

    (2) Ansonsten würde ich den Tipp der Meldung gern befolgen und das Log befragen. Kann mir jemand einen Tipp geben, wie das heißt und in welchem Pfad/Verzeichnis es liegt?

  • (1) Vielen Dank, werde das probieren und berichten. Wobei die Abhängigkeiten installierter Pakete doch eigentlich[tm] automatisch vom Paketsystem berücksichtigt werden müssten, oder irre ich da?


    (2) Wie heißt denn das Update-Log wo liegt es?

  • Das ist keine Abhängigkeit sondern Voraussetzung das du überhaupt das Update ausführen kannst.

    Ein kleines Dankeschön, durch eine Spende, nehme ich gerne an, PayPal oder Amazon-Gutschein an dhwz(at)gmx.net

    Falls ihr einen Real-Debrid Zugang erwerbt dann verwendet bitte meinen Partnerlink um euch auch weiterhin die Funktion des Premiumanbieters gewährleisten zu können.

    Real-Debrid: http://real-debrid.com/?id=805285

  • (1) Zunächst einmal vielen Dank! :)

    Ich kann Erfolg vermelden: Ist wget installiert, funktioniert der MediaPortal-Updater wieder.


    (2) dhwz: Der Unterschied ist mir nicht ganz klar. Mache ich einen Denkfehler?


    - Der MediaPortal-Updater ist Teil des MediaPortal-Paketes.

    - Der Updater benötigt zwingend das Drittpaket "wget", um zu funktionieren.

    - Folge 1: "wget" ist eine zwingend benötigte Abhängigkeit des Updaters.

    - Folge 2: ... und damit auch eine "required dependency" des MediaPortal-Paketes selbst.


    Entsprechend sollte das MediaPortal doch "wget" als zwingend benötigte Abhängigkeit eingetragen haben, die z. B. per "apt-get -f install" automatisch hinzugefügt werden müsste. Irre ich?


    (3) @Alle: kann mir bitte noch jemand sagen, wie/wo ich das Update-Log finde?

  • apt-get update

    apt-get install wget

    Ich habe das gleiche Problem seit ca. 2 Wochen, update geht nicht...

    habe die 2 Befehle oberhalb lt. hdwz in telnet eingegeben.

    1. Befehl update erfolgreich

    2. mit dem wget kann die Box anscheinend nichts anfangen - siehe log im Anhang.


    Irgend etwas muß jetzt anders sein, denn vorher ging das Update ohne Probleme.


    Hoffe, jemand kann helfen.


    Gruß

    Wolf

  • Ein kleines Dankeschön, durch eine Spende, nehme ich gerne an, PayPal oder Amazon-Gutschein an dhwz(at)gmx.net

    Falls ihr einen Real-Debrid Zugang erwerbt dann verwendet bitte meinen Partnerlink um euch auch weiterhin die Funktion des Premiumanbieters gewährleisten zu können.

    Real-Debrid: http://real-debrid.com/?id=805285

  • Danke dhwz


    Muß ich die installierte Version vorher löschen oder kann ich drüber installieren?


    Trotzdem komisch, daß man über das BP (Oozoon) kein korrektes Update ausführen kann - ging doch bisher


    Update:


    wie auch immer, nachdem ich wget nach Deinem link installiert hatte, funktioniert auch das Update wieder.


    Besten Dank

  • Klugscheißer hab ich ja besonders gern, wäre mir übrigens neu dass euer Image offiziell unterstützt werden würde. Mal davon abgesehen wird wget gar nicht mehr verwendet und ist generischer Bestandteil des Originalimages. Dass ein Flag verwendet wurde das busybox nicht kennt war nicht vorherzusehen. Aber Du weißt das natürlich immer vorher schon alles...

    Ein kleines Dankeschön, durch eine Spende, nehme ich gerne an, PayPal oder Amazon-Gutschein an dhwz(at)gmx.net

    Falls ihr einen Real-Debrid Zugang erwerbt dann verwendet bitte meinen Partnerlink um euch auch weiterhin die Funktion des Premiumanbieters gewährleisten zu können.

    Real-Debrid: http://real-debrid.com/?id=805285

  • Update geht über MediaPortal direkt auch nicht mehr :(


    letztes mal ging es noch mit den beiden Befehlen übers Telnet


    Aber nun kommt dies:


    apt-get update

    E: The method driver /usr/lib/apt/methods/https could not be found.

    N: Is the package apt-transport-https installed?


    Wo ist mein Fehler? :(

    DM7080HD + Merlin4 OE2.5 + Metrix Style Skin + VideoDB + Music Center + Media Portal + MPGZ + Merlin EPG Center + DB Backup + Logo Manager

  • Hallo Ihr netten Leute hier. Geht mal davon aus, das ich techn. gesehen nur leidlich durchblicke und froh bin über die Jahre das Mediaportal in Schuss halten konnte. Anbei meine techn. Daten. Ich wäre Euch sehr verbunden wenn (update geht seit kurzem nicht mehr) jemand in der Lage ist, mir Schritt für Schritt erklären kann, was ich tun muss. Eine Neuinstallation von Mediaportal wäre für mich grausam, hab da so meine Erfahrungen. Mein Alter ist zwar keine Entschuldigung<X aber ich hoffe auf Euer Verständnis....Danke im voraus, herzlichst Henry